<?php // Script Copyright 2026 Econfirmpro


$mtags = "";
$topic = !empty($model_info['topic']) ? $model_info['topic'] : "";
$description = !empty($model_info['description']) ?  $model_info['description'] : "";
$turns_on = !empty($model_info['turns_on']) ? $model_info['turns_on'] : "";
$turns_off = !empty($model_info['turns_off']) ? $model_info['turns_off'] : "";
$bio = !empty($model_info['biography']) ? $model_info['biography'] : "";
$media_type = !empty($model_info['media_type']) ? $model_info['media_type'] : "cams";
if(!empty($model_info['tags'])){
	foreach($model_info['tags'] as $xtag){
		$mtags .= $xtag . " ";
	}

}


$modelnameheaderclass = "modelnameheader";
if (strlen($mname) > 15) {
	$modelnameheaderclass = "modelnameheadersmall";
}
if (strlen($mname) > 20) {
	$modelnameheaderclass = "modelnameheadersmaller";
}
if (strlen($mname) > 25) {
	$modelnameheaderclass = "modelnameheadersmallest";
}
if (strlen($mname) > 40) {
	$modelnameheaderclass = "modelnameheadertiny";
}

if ( ($sponsor != "itslive") ){
	$chtrm = str_replace("http:","https:", $chtrm);
	$thb = str_replace("http:","https:", $thb);
}



$cell =<<<TBC
		<div id=cell_$current_thumb_index class="thbcell" style="cursor:pointer;">
			<div class="$modelnameheaderclass">$mname</div>
			<a href="$chtrm" target=_blank><img class="thbimage" src="$thb"></a>
			<div class="thbsponsorname">$sponsor</div>
		</div>
		</a>	
TBC;

if ($sponsor == "stripchat"){
	$chtrm = $mname. "|" . $extra_data['stripchat_id'] . "|" . $sponsor;
}

$this_thb =<<<TTH

		<div id=cell_$current_thumb_index class="thbcell" class="thbcell" style="cursor:pointer;" onclick="showchtrm('$chtrm', '$sponsor')">
			<div class="$modelnameheaderclass">$mname</div>
			<img class="thbimage" src="$thb">
			<div class="thbsponsorname">$sponsor</div>
		</div>

TTH;

$this_video =<<<THV

		<div id=cell_$current_thumb_index class="thbcell"  class="thbcell" style="cursor:pointer;"onclick="showmovie('$chtrm', '$poster', '$sponsor', '$site_link')">
			<div class="$modelnameheaderclass">$mname</div>
			<img class="thbimage" src="$thb">
			<div class="thbsponsorname">$sponsor</div>
		</div>

THV;



?>
